# FaceExpressionNet | @vladmandic/face-api - v1.7.6
Documentation for @vladmandic/face-api - v1.7.6

# Class FaceExpressionNet

#### Hierarchy

- FaceProcessor<FaceFeatureExtractorParams>
  - FaceExpressionNet

- Defined in faceExpressionNet/FaceExpressionNet.ts:9

#####
Index

### Constructors

constructor

### Properties

_name

### Accessors

faceFeatureExtractor
isLoaded
paramMappings
params

### Methods

dispose
extractClassifierParams
extractWeights
forward
forwardInput
freeze
getFrozenParams
getParamFromPath
getParamList
getTrainableParams
load
loadClassifierParams
loadFromDisk
loadFromUri
loadFromWeightMap
predictExpressions
reassignParamFromPath
runNet
serializeParams
variable

## Constructors

### constructor

- new FaceExpressionNet(faceFeatureExtractor?: FaceFeatureExtractor): FaceExpressionNet

- #### Parameters

  - ##### faceFeatureExtractor: FaceFeatureExtractor = ...

  #### Returns FaceExpressionNet

  Overrides FaceProcessor<FaceFeatureExtractorParams>.constructor

  - Defined in faceExpressionNet/FaceExpressionNet.ts:10

## Properties

### _name

_name: any

Inherited from FaceProcessor._name

- Defined in NeuralNetwork.ts:17

## Accessors

### faceFeatureExtractor

- get faceFeatureExtractor(): IFaceFeatureExtractor<TExtractorParams>

- #### Returns IFaceFeatureExtractor<TExtractorParams>

  Inherited from FaceProcessor.faceFeatureExtractor

  - Defined in faceProcessor/FaceProcessor.ts:23

### isLoaded

- get isLoaded(): boolean

- #### Returns boolean

  Inherited from FaceProcessor.isLoaded

  - Defined in NeuralNetwork.ts:23

### paramMappings

- get paramMappings(): ParamMapping[]

- #### Returns ParamMapping[]

  Inherited from FaceProcessor.paramMappings

  - Defined in NeuralNetwork.ts:21

### params

- get params(): undefined | TNetParams

- #### Returns undefined | TNetParams

  Inherited from FaceProcessor.params

  - Defined in NeuralNetwork.ts:19

## Methods

### dispose

- dispose(throwOnRedispose?: boolean): void

- #### Parameters

  - ##### throwOnRedispose: boolean = true

  #### Returns void

  Inherited from FaceProcessor.dispose

  - Defined in faceProcessor/FaceProcessor.ts:48

### extractClassifierParams

- extractClassifierParams(weights: Float32Array): {
  paramMappings: ParamMapping[];
  params: NetParams;
  }

- #### Parameters

  - ##### weights: Float32Array

  #### Returns {
  paramMappings: ParamMapping[];
  params: NetParams;
  }

  - ##### paramMappings: ParamMapping[]

  - ##### params: NetParams

  Inherited from FaceProcessor.extractClassifierParams

  - Defined in faceProcessor/FaceProcessor.ts:59

### extractWeights

- extractWeights(weights: Float32Array): void

- #### Parameters

  - ##### weights: Float32Array

  #### Returns void

  Inherited from FaceProcessor.extractWeights

  - Defined in NeuralNetwork.ts:118

### forward

- forward(input: any): Promise<Tensor2D>

- #### Parameters

  - ##### input: any

  #### Returns Promise<Tensor2D>

  - Defined in faceExpressionNet/FaceExpressionNet.ts:18

### forwardInput

- forwardInput(input: any): Tensor2D

- #### Parameters

  - ##### input: any

  #### Returns Tensor2D

  - Defined in faceExpressionNet/FaceExpressionNet.ts:14

### freeze

- freeze(): void

- #### Returns void

  Inherited from FaceProcessor.freeze

  - Defined in NeuralNetwork.ts:57

### getFrozenParams

- getFrozenParams(): {
  path: string;
  tensor: Tensor;
  }[]

- #### Returns {
  path: string;
  tensor: Tensor;
  }[]

  Inherited from FaceProcessor.getFrozenParams

  - Defined in NeuralNetwork.ts:47

### getParamFromPath

- getParamFromPath(paramPath: string): Tensor

- #### Parameters

  - ##### paramPath: string

  #### Returns Tensor

  Inherited from FaceProcessor.getParamFromPath

  - Defined in NeuralNetwork.ts:25

### getParamList

- getParamList(): {
  path: string;
  tensor: Tensor;
  }[]

- #### Returns {
  path: string;
  tensor: Tensor;
  }[]

  Inherited from FaceProcessor.getParamList

  - Defined in NeuralNetwork.ts:36

### getTrainableParams

- getTrainableParams(): {
  path: string;
  tensor: Tensor;
  }[]

- #### Returns {
  path: string;
  tensor: Tensor;
  }[]

  Inherited from FaceProcessor.getTrainableParams

  - Defined in NeuralNetwork.ts:43

### load

- load(weightsOrUrl: undefined | string | Float32Array): Promise<void>

- #### Parameters

  - ##### weightsOrUrl: undefined | string | Float32Array

  #### Returns Promise<void>

  Inherited from FaceProcessor.load

  - Defined in NeuralNetwork.ts:83

### loadClassifierParams

- loadClassifierParams(weights: Float32Array): void

- #### Parameters

  - ##### weights: Float32Array

  #### Returns void

  Inherited from FaceProcessor.loadClassifierParams

  - Defined in faceProcessor/FaceProcessor.ts:53

### loadFromDisk

- loadFromDisk(filePath: undefined | string): Promise<void>

- #### Parameters

  - ##### filePath: undefined | string

  #### Returns Promise<void>

  Inherited from FaceProcessor.loadFromDisk

  - Defined in NeuralNetwork.ts:99

### loadFromUri

- loadFromUri(uri: undefined | string): Promise<void>

- #### Parameters

  - ##### uri: undefined | string

  #### Returns Promise<void>

  Inherited from FaceProcessor.loadFromUri

  - Defined in NeuralNetwork.ts:91

### loadFromWeightMap

- loadFromWeightMap(weightMap: NamedTensorMap): void

- #### Parameters

  - ##### weightMap: NamedTensorMap

  #### Returns void

  Inherited from FaceProcessor.loadFromWeightMap

  - Defined in NeuralNetwork.ts:112

### predictExpressions

- predictExpressions(input: any): Promise<any>

- #### Parameters

  - ##### input: any

  #### Returns Promise<any>

  - Defined in faceExpressionNet/FaceExpressionNet.ts:22

### reassignParamFromPath

- reassignParamFromPath(paramPath: string, tensor: Tensor): void

- #### Parameters

  - ##### paramPath: string

  - ##### tensor: Tensor

  #### Returns void

  Inherited from FaceProcessor.reassignParamFromPath

  - Defined in NeuralNetwork.ts:30

### runNet

- runNet(input: any): Tensor2D

- #### Parameters

  - ##### input: any

  #### Returns Tensor2D

  Inherited from FaceProcessor.runNet

  - Defined in faceProcessor/FaceProcessor.ts:33

### serializeParams

- serializeParams(): Float32Array

- #### Returns Float32Array

  Inherited from FaceProcessor.serializeParams

  - Defined in NeuralNetwork.ts:75

### variable

- variable(): void

- #### Returns void

  Inherited from FaceProcessor.variable

  - Defined in NeuralNetwork.ts:51